#include <gtest/gtest.h>
#include <vector>
#include "../include/Block.h"


TEST(BlockTest, size)
{
    Block v(Shape::L);
    std::vector<Block> vec;
    vec.push_back(v);
    vec.push_back(v);
    vec.push_back(v);
    int sizeBlocks{};
    int sizePositions{};
    for (const auto& a : vec) {
        sizePositions += a.getPosition().size();
        sizeBlocks    +=   a.getBlocks().size();
    }

    EXPECT_EQ(sizeBlocks, sizePositions);
}

TEST(BlockTest, shape) {
    Block b(Shape::L);
    EXPECT_EQ(Shape::L, b.getShape());
}
